LibreOffice LibreOffice 6.1 SDK API Reference

Public Member Functions | List of all members
XEncryptionResultListener Interface Reference

Interface of Encryption Result Listener. More...

`import"XEncryptionResultListener.idl";`

Inheritance diagram for XEncryptionResultListener:

## Public Member Functions
void | encrypted ([in] long securityId, [in] com::sun::star::xml::crypto::SecurityOperationStatus encryptionResult)
| Notifies the encryption result. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Interface of Encryption Result Listener.

This interface is used to receive the result information of an encryption operation.

## Member Function Documentation

## ◆ encrypted()

void encrypted | ( | [in] long | securityId,
|  | [in] com::sun::star::xml::crypto::SecurityOperationStatus | encryptionResult
| ) |  |

Notifies the encryption result.

Parameters

  securityId | the security id of the encryption
  encryptionResult | the result information

The documentation for this interface was generated from the following file:

- com/sun/star/xml/crypto/sax/XEncryptionResultListener.idl